Go to the latest version of this document.

# ``twisted`.`internet`.`base``

module documentation
(source)

Very basic functionality for a Reactor implementation.

Class | `BaseConnector` | Basic implementation of `IConnector`.
Class | `BasePort` | Basic implementation of a ListeningPort.
Class | `BlockingResolver` | Undocumented
Class | `DelayedCall` | No class docstring; 0/11 instance variable, 0/2 class variable, 9/10 methods documented
Class | `PluggableResolverMixin` | A mixin which implements the pluggable resolver reactor interfaces.
Class | `ReactorBase` | Default base class for Reactors.
Class | `ThreadedResolver` | `ThreadedResolver` uses a reactor, a threadpool, and `socket.gethostbyname` to perform name lookups without blocking the reactor thread. It also supports timeouts indepedently from whatever timeout logic ...
Class | `_ThreePhaseEvent` | Collection of callables (with arguments) which can be invoked as a group in a particular order.
Constant | `_DEFAULT_DELAYED_CALL_LOGGING_HANDLER` | Undocumented
Type Alias | `_ThreadCall` | Undocumented
Type Alias | `_ThreePhaseEventTrigger` | Undocumented
Type Alias | `_ThreePhaseEventTriggerCallable` | Undocumented
Variable | `_log` | Undocumented
Variable | `_systemEventHandler` | Undocumented
Variable | `_SystemEventID` | Undocumented
Variable | `_threadCallHandler` | Undocumented
Variable | `_ThreePhaseEventTriggerHandle` | Undocumented
Variable | `_topHandler` | Undocumented

_DEFAULT_DELAYED_CALL_LOGGING_HANDLER = (source)

Undocumented

Value

    _log.failureHandler('while handling timed call')

_ThreadCall = (source)

Undocumented

Value

    tuple[Callable[..., Any], tuple[object, ...], dict[str, object]]

_ThreePhaseEventTrigger = (source)

Undocumented

Value

    tuple[_ThreePhaseEventTriggerCallable, tuple[object, ...], dict[str, object]]

_ThreePhaseEventTriggerCallable = (source)

Undocumented

Value

    Callable[..., Any]

_log = (source)

Undocumented

_systemEventHandler = (source)

Undocumented

_SystemEventID = (source)

Undocumented

_threadCallHandler = (source)

Undocumented

_ThreePhaseEventTriggerHandle = (source)

Undocumented

_topHandler = (source)

Undocumented